Update Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples

Accounts/Connections contain the information necessary to access a certain plugin (e.g. Google Drive, your own custom plugin, etc.) or database. When you add a database connection and click 'Connect', an account/connection is created, allowing you to retrieve datasets later on.

Update the credentials of an account/connection.

Request parametersResponse schema
id UUID

The unique identifier of the entity

description Multilingual string

Internationalized description of the connection.

provider STRING

Type of data provider to retrieve data from. Either the 'slug' of a plugin, e.g. googleanalytics, googledrive, quandl, salesforce, mailchimp, etc... the slug of your own plugin or one of a database such as 'postgresql'. Slugs are unique short names for plugins and dataproviders (such as dbs)

date DATETIME

Date/time this account was linked by the user. Defaults to the current date.

expiry DATETIME

Expiry date of the credentials.

scope STRING

Provider-specific description of services used (eg. which accesses were granted, which database is used, ...).

host STRING

Endpoint of this account. For relational database connections, this corresponds to the hostname of the database.

name STRING

Name of this account.

active BOOLEAN

Indicates whether queries may be sent to this database or plugin connection. You can use this field to eg. temporarily disable any connections / queries. This might be useful in case of elevated stress on your systems.

invalid BOOLEAN

Read-only. Indicates whether this connection has been disabled because the source system reported that the used credentials are invalid.

identifier STRING

Key or username of this account.

port STRING

Port of this connection. For relational database connections, this corresponds to the port of the database.

cache NUMBER

Defaults to 0. Number of seconds queries to this data connector are cached in Luzmo's caching layer. Use 0 to disable caching for this connector entirely. Note that queries might still not be cached if there are other uncached data connectors called in a query. You can invalidate the cache before the expiry time by calling the update method on the data endpoint.

code STRING

(Update-only) OAauth2 authorization code used to retrieve an access token and refresh token.

datasets_meta_sync_enabled BOOLEAN

Indicates whether automatic metadata sync is enabled for all connection datasets with meta_sync_inherit=true.

Default value:true
datasets_meta_sync_interval NUMBER

Metadata sync interval in hours for connection datasets with meta_sync_inherit=true.

Default value:1
Can be executed by:
Connection Owner
Can be associated to:
User
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Base URL
https://api.luzmo.com/0.1.0/account
Example Response
200
400
500
{
  "properties": null,
  "id": "74ce5450-a4e8-886b-8ab3-3845a0d07023",
  "provider": "postgresql",
  "date": "2024-01-13T13:42:05.736Z",
  "identifier": "demo-user",
  "expiry": null,
  "scope": "demo",
  "host": "new.exampledb.com",
  "name": "Demo database connection",
  "description": {
    "en": "New Connection description"
  },
  "port": "5432",
  "active": true,
  "invalid": false,
  "cache": 0,
  "synced": false,
  "version": null,
  "datasets_meta_sync_interval": 1,
  "datasets_meta_sync_enabled": true,
  "created_at": "2024-01-13T13:42:05.738Z",
  "updated_at": "2024-01-13T18:56:16.739Z",
  "user_id": "690b7bd5-2c92-4432-ba47-35d785df1bi4",
  "plugin_id": null,
  "shareable_id": "342e71d8-739b-438b-8519-960693816254"
}